Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232624 - Review Request: perl-ConfigReader - Read directives from a configuration file
Summary: Review Request: perl-ConfigReader - Read directives from a configuration file
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:42 UTC by Andreas Thienemann
Modified: 2011-06-23 20:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 10:21:15 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:42:33 UTC
Spec URL: http://home.bawue.de/~ixs/perl-ConfigReader/perl-ConfigReader.spec
SRPM URL: http://home.bawue.de/~ixs/perl-ConfigReader/perl-ConfigReader-0.5-1.src.rpm
Description:
The ConfigReader library is a set of classes which reads directives from a
configuration file. The library is completely object oriented, and it is
envisioned that parsers for new styles of configuration files can be
easily added.

Comment 1 Parag AN(पराग) 2007-03-21 05:40:03 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
469a77797740e7dd70ab902d0ac8081d  ConfigReader-0.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: perl(ConfigReader::DirectiveStyle) = 0.5 perl(ConfigReader::Spec) =
0.5 perl(ConfigReader::Values) = 0.5

APPROVED.


Comment 2 Andreas Thienemann 2007-03-22 09:45:17 UTC
New Package CVS Request
=======================
Package Name: perl-ConfigReader
Short Description: Read directives from a configuration file
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com


Comment 3 Andreas Thienemann 2007-03-23 10:21:15 UTC
Thanks for the review. Package has been built for FC-5, FC-6 and rawhide.

Comment 4 Orion Poplawski 2011-06-23 20:36:04 UTC
I'd like to see this in epel (5 and 6).  Andreas - would you want to be the owner there?


Note You need to log in before you can comment on or make changes to this bug.